Bug 1461176 - Bug when starting up with new 0.66 version
Bug when starting up with new 0.66 version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 14:04 EDT by Ross Zwisler
Modified: 2017-06-29 19:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: Zim-0.67-0.rc2.1.fc26 Zim-0.67-0.rc2.1.fc25 Zim-0.67-0.rc2.1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-19 10:34:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ross Zwisler 2017-06-13 14:04:58 EDT
Description of problem:

Just upgraded to Zim 0.66 in Fedora 25, and now on every boot I get the following "Looks like you found a bug" text splat:

This is zim 0.66
Platform: posix
Locale: en_US UTF-8
FS encoding: UTF-8
Python: (2, 7, 13, 'final', 0)
Gtk: (2, 24, 31)
Pygtk: (2, 24, 0)
Zim revision is:
  branch: zim-trunk
  revision: 871 jaap.karssenberg@gmail.com-20170428103155-0xaqvtl2g53epq2y
  date: 2017-04-28 12:31:55 +0200

======= Traceback =======
  File "/usr/lib/python2.7/site-packages/zim/actions.py", line 240, in do_activate
    self.__get__(instance, instance.__class__)()
  File "/usr/lib/python2.7/site-packages/zim/actions.py", line 211, in func
    self.func(instance, active)
  File "/usr/lib/python2.7/site-packages/zim/gui/__init__.py", line 2079, in toggle_panes
    Window.save_uistate(self)
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 2727, in save_uistate
    self.uistate[key] = self.get_pane_state(key)
  File "/usr/lib/python2.7/site-packages/zim/config/dicts.py", line 541, in __setitem__
    raise KeyError('Config key "%s" has not been defined' % k)
KeyError: 'Config key "right_pane" has not been defined'

Version-Release number of selected component (if applicable):

0.66

How reproducible:

100%

Steps to Reproduce:
1. Start up zim

Actual results:

Splat

Expected results:

Used to start up fine with old Zim version

Additional info:
Comment 1 Robin Lee 2017-06-13 21:49:05 EDT
Can you update to 0.67-rc2 and have another try?
https://kojipkgs.fedoraproject.org//work/tasks/6100/20016100/Zim-0.67-0.rc2.1.fc25.noarch.rpm
Comment 2 Ross Zwisler 2017-06-13 22:48:59 EDT
Yep, the bug I was experiencing no longer occurs with 0.67-rc2.

Thanks!
Comment 3 Fedora Update System 2017-06-14 04:51:54 EDT
Zim-0.67-0.rc2.1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0346adfee2
Comment 4 Fedora Update System 2017-06-14 04:52:17 EDT
Zim-0.67-0.rc2.1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-34872be2a2
Comment 5 Fedora Update System 2017-06-14 04:52:33 EDT
Zim-0.67-0.rc2.1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-830f0cb8f0
Comment 6 Fedora Update System 2017-06-15 06:56:25 EDT
Zim-0.67-0.rc2.1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0346adfee2
Comment 7 Fedora Update System 2017-06-15 06:58:14 EDT
Zim-0.67-0.rc2.1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-34872be2a2
Comment 8 Fedora Update System 2017-06-15 09:59:34 EDT
Zim-0.67-0.rc2.1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-830f0cb8f0
Comment 9 Fedora Update System 2017-06-19 10:34:51 EDT
Zim-0.67-0.rc2.1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-06-22 21:56:39 EDT
Zim-0.67-0.rc2.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-06-29 19:50:13 EDT
Zim-0.67-0.rc2.1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.